commit: NSIS v2 compiling with MinGW

From: Kenneth J. Davis (
Date: Sat Jan 10 2004 - 11:24:18 EST

  • Next message: "Are we ready for 2.0.3?"

    [You can ignore this message unless you are having trouble building using MinGW]

    After much fun, I gave up trying to do PE fixups and resorted to a linker
    script. It appears to work, though I don't guareentee it. Having never
    used linker scripts before, I don't know how this will effect compiling
    with other versions MinGW's gcc. If you find the linker script used to
    build the exeheads fails, then run ld -verbose > lscript.mingw. Copy this
    over the one in the nsis subdir, comment out the header, and add a chunk
    so the .ndata section is placed after the .idata (imports) section.
    Failure to do this will result in an installer that crashes on startup
    (due to invalid pointers to imported functions). I highly recommend anyone
    distributing a setup_abiword use a MSVC compiled build of NSIS (such as
    their official releases if you lack MSVC), however it should work to use
    NSIS compiled with MinGW. [I'll be sending patches to the NSIS maintainers
    after I clean'm up.]


    This archive was generated by hypermail 2.1.4 : Sat Jan 10 2004 - 11:24:51 EST